
Base Distribution - Task # 52330

Work Package # 45020 (Closed): Content Editing Stability and Features
Story # 45434 (Closed): As a content editor I want to be able to edit normal content

Status: Closed Priority: Should have
Author: Thomas Allmer Category: Content Editing
Created: 2013-09-27 Assigned To:
Updated: 2014-11-02 Due date:
Subject: Headers should support basic text formatting
Description

I often find our clients using headlines like
mysuperStuff<sup>©<sup> or CO<sub>2</sub>

so sub, sup should be supported by headlines.

bold, italic and strikethrough might be also useful.

if possible make it configurable via the Site Package Settings.

Associated revisions
Revision fa0f854a - 2013-10-02 12:38 - Thomas Allmer

[FEATURE] Allow Aloha Buttons to be configured via yaml settings

For each contentelement you can define properties.ui.aloha.* with
an array. Supported are table, link, list, alignment, format.

Change-Id: I776177507f603e16c3a4bcad1c3e07ba26632cd0
Resolves: #52330
Reviewed-on: https://review.typo3.org/24197
Reviewed-by: Sebastian Kurfuerst
Tested-by: Sebastian Kurfuerst

Revision 5a384d8f - 2013-10-02 12:38 - Thomas Allmer

[FEATURE] Allow Aloha Buttons to be configured via yaml settings

Change-Id: I2bf521e969878c94c13c91cdb79ababc7f12281f
Resolves: #52330
Reviewed-on: https://review.typo3.org/24198
Reviewed-by: Sebastian Kurfuerst
Tested-by: Sebastian Kurfuerst

History
#1 - 2013-09-27 13:51 - Aske Ertmann
- Category set to Content Editing
- Target version set to 1.0 alpha 6
- Parent task set to #45434
#2 - 2013-09-30 11:04 - Christian Müller
- Subject changed from Headers should support basic text styling to Headers should support basic text formatting

#3 - 2013-10-01 10:20 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24197

#4 - 2013-10-01 10:32 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24198

#5 - 2013-10-02 11:19 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24197

#6 - 2013-10-02 11:32 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24197

#7 - 2013-10-02 11:32 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24198

#8 - 2013-10-02 12:34 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24198

#9 - 2013-10-02 12:35 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24197

#10 - 2013-10-02 12:35 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24197

#11 - 2013-10-02 12:38 - Sebastian Kurfuerst
- Status changed from New to Resolved
yippie :)

#12 - 2013-10-02 14:16 - Thomas Allmer

thx :)

#13 - 2014-07-13 12:45 - Aske Ertmann
- Target version changed from 1.0 alpha 6 to 1.0 beta 1

#14 - 2014-11-02 18:21 - Aske Ertmann
- Status changed from Resolved to Closed
- Remaining (hours) set to 0.0
